<h2 mat-dialog-title>{{ data.title }}</h2>
<mat-dialog-content>
  {{ data.content }}
  <form autocomplete="off" [formGroup]="editForm" id="editStudySetForm" (ngSubmit)="handleForm()">
    <app-input [inputFormControl]="editForm.get('title')" [label]="'Title'" [iconName]="'title'" [type]="'text'"
      [placeholder]="'Edit title'"></app-input>
    <app-input [inputFormControl]="editForm.get('description')" [label]="'Description'" [iconName]="'notes'"
      [type]="'text'" [placeholder]="'Edit description'"></app-input>
  </form>
</mat-dialog-content>
<mat-dialog-actions>
  <button mat-button mat-dialog-close mat-dialog-close="false">Cancel</button>
  <button type="submit" *ngIf="data.createFolder" [disabled]="!validForm" mat-button mat-dialog-close="true"
    form="editStudySetForm">
    Create folder
  </button>
  <button type="submit" *ngIf="data.isEditing" [disabled]="!validForm" mat-button [mat-dialog-close]="editForm.value"
    form="editStudySetForm">
    Edit folder
  </button>
</mat-dialog-actions>
